%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global srcname fpath

Name:           ocaml-%{srcname}
Version:        0.7.3
Release:        %mkrel 3
Summary:        File paths for OCaml

Group:	Development/OCaml
License:        ISC
URL:            https://erratique.ch/software/fpath
Source0:        https://github.com/dbuenzli/fpath/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  ocaml >= 4.03.0
BuildRequires:  ocaml-astring-devel
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-rpm-macros
BuildRequires:  ocaml-topkg-devel >= 0.9.0

# Do not require ocaml-compiler-libs at runtime
%global __ocaml_requires_opts -i Asttypes -i Build_path_prefix_map -i Cmi_format -i Env -i Format_doc -i Ident -i Identifiable -i Load_path -i Location -i Longident -i Misc -i Oprint -i Outcometree -i Parsetree -i Path -i Primitive -i Shape -i Subst -i Toploop -i Type_immediacy -i Types -i Unit_info -i Warnings

%description
Fpath is an OCaml module for handling file system paths with POSIX or
Windows conventions.  Fpath processes paths without accessing the file
system and is independent from any system library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-astring-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n fpath-%{version}

%conf
# Topkg does watermark replacements only if run inside a git checkout.  Github
# tarballs do not come with a .git directory.  Therefore, we do the watermark
# replacement manually.
for fil in $(find . -type f); do
  sed -e 's,%%%%NAME%%%%,fpath,' \
      -e 's,%%%%PKG_HOMEPAGE%%%%,%{url},' \
      -e 's,%%%%VERSION%%%%,v%{version},' \
      -e 's,%%%%VERSION_NUM%%%%,%{version},' \
      -i.orig $fil
  touch -r $fil.orig $fil
  rm $fil.orig
done

%build
# Build the library and the tests
ocaml pkg/pkg.ml build --tests true

%install
%ocaml_install

%check
ocaml pkg/pkg.ml test

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel



%changelog
* Sat Apr 05 2025 pterjan <pterjan> 0.7.3-3.mga10
+ Revision: 2173693
- Rebuild for ocaml 5.3.0

* Thu May 19 2022 pterjan <pterjan> 0.7.3-3.mga9
+ Revision: 1859105
- Rebuild for OCaml 4.14

* Fri Oct 15 2021 tv <tv> 0.7.3-2.mga9
+ Revision: 1751632
- Rebuild for ocaml 4.13.1

* Sun Mar 28 2021 tv <tv> 0.7.3-1.mga9
+ Revision: 1711244
- imported package ocaml-fpath

